Skip to main content
PUT
/
company
/
email-templates
/
{email_type}
Create or update company email template
curl --request PUT \
  --url https://api.firma.dev/functions/v1/signing-request-api/company/email-templates/{email_type} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "subject": "<string>",
  "body": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "email_type": "signing_invite",
  "subject": "<string>",
  "body": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "warnings": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

API key for authentication. Use your API key directly without any prefix (e.g., 'your-api-key'). Bearer prefix is optional but not required.

Path Parameters

email_type
enum<string>
required

Email template type

Available options:
signing_invite,
next_signer,
signing_expired,
signing_cancelled,
signing_declined

Body

application/json
subject
string
required

Email subject line

Maximum string length: 500
body
string
required

Email body (HTML). Use {{signing_link}} placeholder for the signing URL.

Maximum string length: 50000

Response

Company email template updated successfully

Custom email template for signing request notifications

id
string<uuid>

Unique identifier for the email template

email_type
enum<string>

Type of email this template is for

Available options:
signing_invite,
next_signer,
signing_expired,
signing_cancelled,
signing_declined
subject
string

Email subject line

body
string

Email body (HTML). Supports placeholders like {{signing_link}}, {{signer_name}}, etc.

created_at
string<date-time>

Template creation timestamp

updated_at
string<date-time>

Template last update timestamp

warnings
string[]